summaryrefslogtreecommitdiff
path: root/stained_glass/geany_run_script.sh
diff options
context:
space:
mode:
Diffstat (limited to 'stained_glass/geany_run_script.sh')
-rw-r--r--stained_glass/geany_run_script.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/stained_glass/geany_run_script.sh b/stained_glass/geany_run_script.sh
new file mode 100644
index 0000000..05d787e
--- /dev/null
+++ b/stained_glass/geany_run_script.sh
@@ -0,0 +1,16 @@
+#!/bin/sh
+
+rm $0
+
+lua "init.lua"
+
+echo "
+
+------------------
+(program exited with code: $?)"
+
+
+echo "Press return to continue"
+#to be more compatible with shells like dash
+dummy_var=""
+read dummy_var